body{
    padding: 0;
    margin: 0;
    box-sizing:border-box;
}
body,html{
    overflow-x: hidden;
}
@import url("https://fonts.googleapis.com/css2?family=Montserrat+Alternates:wght@400;500&display=swap");

/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;

  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --white-color: hsl(0, 0%, 100%);
  --black-color: hsl(0, 0%, 0%);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Montserrat Alternates", sans-serif;
  --h1-font-size: 1.5rem;
  --normal-font-size: .938rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-medium: 500;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*========== Responsive typography ==========*/
@media screen and (min-width: 1150px) {
  :root {
    --normal-font-size: 1rem;
  }
}

ul {
  list-style: none;
  /* margin-top:0; */
}

a {
  text-decoration: none;
}

/*=============== REUSABLE CSS CLASSES ===============*/


/*=============== HEADER & NAV ===============*/
.header {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  background-color: #014199;
  z-index: 101;
  /* z-index: var(--z-fixed); */
}
/* .nav__item .active{
    border-bottom: 1.5px solid white;
} */

.nav {
  position: relative;
  /* height: var(--header-height); */
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.nav__list ul li a{
    margin-top: 0;
}

.nav__logo {
    
    text-align: center;
  color: white;
  font-size: 25px;
  
}

.nav__close, 
.nav__toggle {
  display: flex;
  color: var(--white-color);
  font-size: 1.5rem;
  cursor: pointer;
}


ul {
  list-style: none;
  /* margin-top:0; */
}

a {
  text-decoration: none;
}

/*=============== REUSABLE CSS CLASSES ===============*/


/*=============== HEADER & NAV ===============*/
.header {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  background-color: #014199;
  z-index: 101;
  /* z-index: var(--z-fixed); */
}
/* .nav__item .active{
    border-bottom: 1.5px solid white;
} */

.nav {
  position: relative;
  /* height: var(--header-height); */
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.nav__list ul li a{
    margin-top: 0;
}

.nav__logo {
    
    text-align: center;
  color: white;
  font-size: 25px;
  
}

.nav__close, 
.nav__toggle {
  display: flex;
  color: var(--white-color);
  font-size: 1.5rem;
  cursor: pointer;

}


/* Navigation for mobile devices */
@media screen and (max-width: 1150px) {
  .nav__menu {
    position: fixed;
    left: -100%;
    top: 0;
    background-color:  #014199;
    width: 100%;
   z-index: 100%;
    padding: 6rem 3.5rem 4.5rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    transition: left .4s;
  }
  .nav img{
    width: 10%;
    height:auto;
  }
  @media screen and (max-width: 913px) {
    .nav img{
      width:30%;
      height:auto;
    }
  }
  @media screen and (max-width: 821px) {
    .nav img{
      width:20%;
      height:auto;
    }
  }
  .nav__item {
    transform: translateX(-150px);
    visibility: hidden;
    transition: transform .4s ease-out, visibility .4s;
  }

  .nav__item:nth-child(1) {
    transition-delay: .1s;
  }
  .nav__item:nth-child(2) {
    transition-delay: .2s;
  }
  .nav__item:nth-child(3) {
    transition-delay: .3s;
  }
  .nav__item:nth-child(4) {
    transition-delay: .4s;
  }
  .nav__item:nth-child(5) {
    transition-delay: .5s;
  }
}
.nav__toggle i{ 
  font-size: 40px;
}
.nav__list, 
.nav__social {
  display: flex;
}

.nav__list {
  flex-direction: column;
  row-gap: 3rem;
}

.nav__link {
  position: relative;
  color: var(--white-color);
  font-size: var(--h1-font-size);
  font-weight: var(--font-medium);
  display: inline-flex;
  align-items: center;
  transition: opacity .4s;
}

.nav__link i {
  font-size: 2rem;
  position: absolute;
  opacity: 0;
  visibility: hidden;
  transition: opacity .4s, visibility .4s;
}

.nav__link span {
  position: relative;
  transition: margin .4s;
}

.nav__link span::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -6px;
  width: 0;
  height: 2px;
 
  transition: width .4s ease-out;
}

/* Animation link on hover */
.nav__link:hover span {
  margin-left: 1.0rem;
  margin-right: 1.0rem;
}

.nav__link:hover i {
  opacity: 1;
  visibility: visible;
}

.nav__link:hover span::after {
  width: 100%;
}
/* .nav_list .active:not(.nav) */

/* Sibling fade animation */
.nav__list:has(.nav__link:hover) .nav__link:not(:hover) {
  opacity: .4;
}

.nav__close {
  position: absolute;
  top: 1rem;
  right: 1.5rem;
}


.show-menu {
  left: 0;
  height: 100vh;
}

/* Animation link when displaying menu */
.show-menu .nav__item {
  visibility: visible;
  transform: translateX(0);
  text-align: center;
}

/*=============== BREAKPOINTS ===============*/
/* For large devices */
@media screen and (min-width: 1150px) {
 
  .nav {
    height: calc(var(--header-height) + 2rem);
  }

  .nav__toggle, 
  .nav__close {
    display: none;
  }

  .nav__link {
    font-size: var(--normal-font-size);
  }

  .nav__link i {
    font-size: 1.5rem;
  }

  .nav__list {
    flex-direction: row;
    column-gap: 3.5rem;
  }

  .nav__menu {
    display: flex;
    align-items: center;
    column-gap: 3.5rem;
  }
}


@media screen and (max-width: 912px) {

  .nav__toggle i{ 
    font-size: 43px;
  }
}

  @import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* slider section  */

.slider{
    height: 100vh;
    margin-top: -50px;
    width: 100vw;
    overflow: hidden;
    position: relative;
}

@media screen and (max-width: 913px) {
  .slider{
    height: 60vh;
  }
}

@media screen and (min-width: 1281px) {
  .slider{
    height: 95vh;
  }
}
.slider .list .item{
    width: 100%;
    height: 100%;
    position: absolute;
    inset: 0 0 0 0;
}
.slider .list .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}


.slider .list .item .content{
    position: absolute;
    top: 20%;
    width: 1140px;
    max-width: 80%;
    left: 50%;
    transform: translateX(-50%);
    padding-right: 30%;
    box-sizing: border-box;
    color: #fff;
    text-shadow: 0 5px 10px #0004;
}
.description{
  font-size: 40px;
  font-weight: bold;
}
@media screen and (max-width: 912px) { 

  .description{
    font-size: 25px;
  }
}
.type {
  font-size: 40px;
  font-weight: bold;
}
@media screen and (max-width: 912px) { 

  .type {
    font-size: 15px;
  }
}

.slider .list .item .content .title,
.slider .list .item .content .type {
    font-size: 1.9em;
    font-weight: bold;
    line-height: 1.3em;
}
@media screen and (max-width: 912px) {
  .slider .list .item .content .title,
  .slider .list .item .content .type{

    font-size: 1.5em;
    font-weight: bold;
    line-height: 1.3em;

  
  }


}



.slider .list .item .type{
    color: #014199;
}
.slider .list .item .button{
    display: grid;
    grid-template-columns: repeat(2, 130px);
    grid-template-rows: 40px;
    gap: 5px;
    margin-top: 20px;
}
.slider .list .item .button button{
    border: none;
    background-color: #eee;
    font-family: Poppins;
    font-weight: 500;
    cursor: pointer;
    transition: 0.4s;
    letter-spacing: 2px;
}


.slider .list .item .button button:hover{
    letter-spacing: 3px;
}
.slider .list .item .button button:nth-child(2){
    background-color: transparent;
    border: 1px solid #fff;
    color: #eee;
}


/* Thumbnail Section  */
.thumbnail{
    position: absolute;
    bottom: -55px;
    left: 50%;
    width: max-content;
    z-index: 100;
    display: flex;
    gap: 20px;
}

@media screen and (max-width: 913px) {
  .thumbnail{
    bottom: 10px;
    height: 15%;
  }
}

.thumbnail .item{
    width: 150px;
    height: 220px;
    flex-shrink: 0;
    position: relative;
}

.thumbnail .item img{
    width: 100%;
    height: 70%;
    object-fit: cover;
    border-radius: 50%;
    box-shadow: 5px 0 15px rgba(0, 0, 0, 0.3);
}
@media screen and (max-width: 913px) {
  .thumbnail .item img{
    border-radius: 10px;
  }
}


@media screen and (max-width: 913px) {
  .thumbnail .item{
    height: 11vh;
    /* border-radius: 0; */
  }
}


/* nextPrevArrows Section  */
.nextPrevArrows{
    position: absolute;
    top: 86%;
    right: 52%;
    z-index: 100;
    width: 300px;
    max-width: 30%;
    display: flex;
    gap: 10px;
    align-items: center;
}
.nextPrevArrows button{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #014199;
    border: none;
    color: #fff;
    font-family: monospace;
    font-weight: bold;
    transition: .5s;
    cursor: pointer;
}
.nextPrevArrows button:hover{
    background-color: #fff;
    color: #000;
}

/* Animation Part */
.slider .list .item:nth-child(1){
    z-index: 1;
}


/* animation text in first item */
.slider .list .item:nth-child(1) .content .title,
.slider .list .item:nth-child(1) .content .type,
.slider .list .item:nth-child(1) .content .description,
.slider .list .item:nth-child(1) .content .buttons
{
    transform: translateY(50px);
    filter: blur(20px);
    opacity: 0;
    animation: showContent .5s 1s linear 1 forwards;
}
@keyframes showContent{
    to{
        transform: translateY(0px);
        filter: blur(0px);
        opacity: 1;
    }
}
.slider .list .item:nth-child(1) .content .title{
    animation-delay: 0.4s !important;
}
.slider .list .item:nth-child(1) .content .type{
    animation-delay: 0.6s !important;
}
.slider .list .item:nth-child(1) .content .description{
    animation-delay: 0.8s !important;
}
.slider .list .item:nth-child(1) .content .buttons{
    animation-delay: 1s !important;
}

/* Animation for next button click */
.slider.next .list .item:nth-child(1) img{
    width: 150px;
    height: 220px;
    position: absolute;
    bottom: 50px;
    left: 50%;
    border-radius: 30px;
    animation: showImage .3s linear 1 forwards;
}

@keyframes showImage{
    to{
        bottom: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: 0;
    }
}

.slider.next .thumbnail .item:nth-last-child(1){
    overflow: hidden;
    animation: showThumbnail .5s linear 1 forwards;
}
.slider.prev .list .item img{
    z-index: 100;
}


@keyframes showThumbnail{
    from{
        width: 0;
        opacity: 0;
    }
}


.slider.next .thumbnail{
    animation: effectNext .5s linear 1 forwards;
}

@keyframes effectNext{
    from{
        transform: translateX(150px);
    }
}



/* Animation for prev button click */
.slider.prev .list .item:nth-child(2){
    z-index: 2;
}

.slider.prev .list .item:nth-child(2) img{
    animation: outFrame 0.5s linear 1 forwards;
    position: absolute;
    bottom: 0;
    left: 0;
}
@keyframes outFrame{
    to{
        width: 150px;
        height: 220px;
        bottom: 50px;
        left: 50%;
        border-radius: 20px;
    }
}

.slider.prev .thumbnail .item:nth-child(1){
    overflow: hidden;
    opacity: 0;
    animation: showThumbnail .5s linear 1 forwards;
}
.slider.next .nextPrevArrows button,
.slider.prev .nextPrevArrows button{
    pointer-events: none;
}


.slider.prev .list .item:nth-child(2) .content .title,
.slider.prev .list .item:nth-child(2) .content .type,
.slider.prev .list .item:nth-child(2) .content .description,
.slider.prev .list .item:nth-child(2) .content .buttons
{
    animation: contentOut 1.5s linear 1 forwards!important;
}

@keyframes contentOut{
    to{
        transform: translateY(-150px);
        filter: blur(20px);
        opacity: 0;
    }
}
@media screen and (max-width: 678px) {
    .slider .list .item .content{
        padding-right: 0;
    }
    .slider .list .item .content .title{
        font-size: 30px;
    }
}
.img1 img {
  border-radius: 30% 70% 70% 30% / 30% 30% 70% 70%;

  animation: borderRadiusAnim 5s infinite alternate;
}

@keyframes borderRadiusAnim {
  0% {
      border-radius: 30% 70% 70% 30% / 30% 30% 70% 70%;
  }
  100% {
      border-radius: 70% 30% 30% 70% / 70% 70% 30% 30%;
  }
}
.img2 {
  color: #014199;
}
.content1{
  background-color: #014199;
  width: 100%;
  height: auto;
  color: white; 
}

@media screen and (max-width: 600px) {

  .content1{
    background-color:#014199;
    height: auto;
  }
}
@media screen and (max-width: 1025px) {

  .content1{
    background-color:#014199;
    height: auto;
  }
}

.content2 p a{
  color: white;
  font-size: 20px; 
  padding: 7px;
  border-radius: 20px;
  background-color: black;
}
@media screen and (max-width: 600px) {
  .content3 h1{
    font-size: 25px;
}
}
@media screen and (max-width: 600px) {
  .content3 h2 {
    font-size: 13px;
}
}

.content2 p a:hover{
  background-color: white;
  color: black;
}
.saro0{
  position: relative;
}
.saro{
  position: absolute;  
  top: -50px; 
  left: -35px;
}
@media screen and (max-width: 1024px) {
  .saro{
    width: 100%;
    height: auto;
    left: 40px;
    top: 30px;
  }
}
@media screen and (max-width: 1281px) {
  .saro{
    width: 100%;
    height: auto;
    left: 40px;
    top: 30px;
  }
}
@media screen and (max-width: 1281px) {
  .saro1{
    width: 90%;
    height: auto;
    top: -20px;
    left: -20px;
    
  }
}
@media screen and (max-width: 1024px) {
  .saro1{
    width: 90%;
    height: auto;
    top: 0;
    left: 0;
    
  }
}
.section-header {
  position: relative;
  width: 100%;
  text-align: center;
  margin: 0 auto;
  margin-bottom: 40px;

}

.section-header::before {
  position: absolute;
  content: "";
  width: 100px;
  height: 3px;
  left: calc(50% - 50px);
  bottom: 0;
  background: linear-gradient(to left, black, black, black);
  border-radius: 100%;
}

.section-header::after {
  position: absolute;
  content: "";
  width: 20px;
  height: 9px;
  left: calc(50% - 10px);
  bottom: -3px;
  background: black;
  border-radius: 5px;
}
.parallax {
  background-image: url("../image/parallex.jpg");
  height: 70vh;
  background-position-y: 10%;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
.overlay{
  background-color: rgba(10, 12, 31, 0.6);
  width: 100%;
  height: 70vh ;
  background-size: cover;
}
@media screen and (max-width: 913px) {
  .overlay h1{
    text-align: center;
    font-size: 15px;
  }
}

.back{
  background-color: black;
  height: auto;
  color: white;
}
.back span{
  text-indent: 10px;
}
@media screen and (max-width: 913px) {
  .back {
    height: auto;
    text-indent: 10px;
    text-align: justify;
  }
}

.home {
  position: relative;
  color: white;
}

.image-container {
  position: relative;
  display: flex;
}

.image-container img {
  width: 100%;
  height: auto;
}
.image-container:hover{
  transform: scale(0.9);
        }
 
.home1 {
  position: absolute;
  bottom: 0;
  left: 50%; 
  transform: translateX(-50%); 
  text-align: center;
  display: flex;
  justify-content: center; 
  align-items: center; 
  background-color:#014199;
  width: 100%; 
  border-bottom-left-radius:30px ;
  border-bottom-right-radius: 30px;
}

.home1 h1 {
  text-align: center;
}



.foot{
  background-color:#014199;
  /* background-image:url(../image/footer.jpg); */
    background-repeat: no-repeat;
    background-size: cover;
}
.foot0 {
  color: white;
}
.foot1{
  color: white;
}
.foot2{
color: white;
}
.foot2 a{
color: white;
text-decoration: none;
font-size: 18px;
}
.foot2 a:hover{
  color:greenyellow;
}
.foot2 h5 a:hover{
 margin-left: 5px;
 /* color: rgb(2, 22, 83); */
}
.foot3 h4 {
  color: white;
}
.foot3 h5 {
color: white;
}
.foot3 p {
color: white;
}
.foot3  i {
border: 1px solid black;
border-radius: 50%;
background-color: white;
border: none;
color: black;
}
.foot3 i:hover{
color: rgb(2, 22, 83);

}
.foot4{
color: white;
}

 .containersss {
  position: relative;
  text-align: center;
  color: white;
}

.bottom-left {
  position: absolute;
  bottom: 8px;
  left: 16px;
}

.top-left {
  position: absolute;
  top: 8px;
  left: 16px;
}

.top-right {
  position: absolute;
  top: 8px;
  right: 16px;
}

.bottom-right {
  position: absolute;
  bottom: 8px;
  right: 16px;
}

.centered {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}



/* top to bottom */
#back-to-top-btn {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 15px;
  z-index: 99;
  border: none;
  outline: none;
  color: black;
  cursor: pointer;
  border-radius: 40px;
}

/* Loader */
.page-loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color:black; /* Semi-transparent background */
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1000;
}

.fixed-img {
  width: 9%; /* Adjust as needed */
  height: auto;
  z-index: 1; /* Ensure the image is above the spinner */
}

.spinner {
  position: absolute;
  width: 150px; /* Size of the outer spinner */
  height: 150px;
  /* border: 4px solid rgba(0, 0, 0, 0.1); */
  border-top: 4px solid #014199; /* Color of the spinner */
  border-bottom: 4px solid #014199; /* Color of the spinner */

  border-radius: 50%;
  animation: spin 2s linear infinite; /* Rotating the spinner */
  z-index: 0; /* Ensure the spinner is below the image */
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/* @media screen and (max-width: 913px) {
  .fixed-img {
    width: 50%; 
    height: auto;
  }
} */

@media screen and (max-width: 913px) {

  .fixed-img {
    width: 15%; 
}
}

@media screen and (max-width: 913px) {

  .spinner {
    position: absolute;
    width: 150px; /* Size of the outer spinner */
    height: 150px;
}
}
@media screen and (max-width: 767px) {

  .fixed-img {
    width: 20%; 
}
}

@media screen and (max-width: 767px) {
  .spinner {
    
    width: 130px; 
    height: 130px;
}
}

  /* social */
  a {
    color: white;
    text-decoration: none;
  }
  .social {
    position: fixed;
    left: 1%;
    top: 40%;
    z-index: 101;
  }
  
  .social ul {
    padding: 0px;
    transform: translate(-270px,0);
  }
  @media screen and (max-width: 821px) {
    .social ul {
      margin-left: 3%;
    }
  
  }
  
  .social ul li {
    display: block;
    margin: 5px;
    background: black;
    width: 300px;
    text-align: right;
    padding: 10px;
    border-radius: 0 30px 30px 0;
    transition: all 1.5s;
  }
  
  .social ul li:hover {
    transform: translate(110px,0);
    background: #014199;
    transition: all 1.5s;
  }
  
  .social ul li:hover a {
    color: white;
  }
  
  .social ul li:hover i{
    color: #014199;
    background: white;
    transform: rotate(360deg);
    transition: all 1.5s;
  }
  
  .social ul li i {
    margin-left: 10px;
    color: #000;
    background: white;
    padding: 9px;
    border-radius: 50%;
    width: 35px;
    height: 35px;
    transform: rotate(0deg);
    text-align: center;
    font-size: 20px;
  }
  